import { SupportedChainId } from '@cowprotocol/cow-sdk';
import { FlexibleConfig, PerNetworkConfig, PerTradeTypeConfig, TradeType } from './types';
export declare function resolveFlexibleConfig<T extends string | number>(config: FlexibleConfig<T>, chainId: SupportedChainId, tradeType: TradeType): T | undefined;
export declare function isPerTradeTypeConfig<T>(config: FlexibleConfig<T>): config is PerTradeTypeConfig<T>;
export declare function isPerNetworkConfig<T>(config: FlexibleConfig<T>): config is PerNetworkConfig<T>;
